commit:     201c58661b8a69774a80bf6d6557743e76f5d137
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 12 11:48:33 2017 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed Jul 12 11:48:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=201c5866

net-dns/avahi: version bump 0.7

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 net-dns/avahi/Manifest         |   1 +
 net-dns/avahi/avahi-0.7.ebuild | 211 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 212 insertions(+)

diff --git a/net-dns/avahi/Manifest b/net-dns/avahi/Manifest
index d6e8b910f12..c6f49aec1eb 100644
--- a/net-dns/avahi/Manifest
+++ b/net-dns/avahi/Manifest
@@ -1,2 +1,3 @@
 DIST avahi-0.6.31.tar.gz 1268686 SHA256 
8372719b24e2dd75de6f59bb1315e600db4fd092805bd1201ed0cb651a2dab48 SHA512 
53eb00d570a274d841e1e6ad07da077950089ae39b4f7aa21fcd21cc5320b30b506b43e7e57e56198e155cc7bd289b779a48b2b2fc002dc6194a946110451858
 WHIRLPOOL 
a6d97b87dfbb81be359ee03d8f32ebafdbb311bd596d686aeb55a2952ecb6c7c84466b1230e70392ffe23a20a56da7e0a5bd00c8dc1812b2156c0b4a8022144f
 DIST avahi-0.6.32.tar.gz 934004 SHA256 
7eb693d878246f0cd05034173fb3ed53447a84dd3b7f01745313cad11071226e SHA512 
e6dc788cc8691288ef001007006719b5eb022d484ee6fc84e68a7d227af5993e4d09484b824998155e5b25fc0ffc014beb8961d312982f63b82b10a6e2edee18
 WHIRLPOOL 
e139eca2d1698976a5fca21361c037dd2b1c075654b01674bea3fa22db70067999aba2a61cbfcf69281d5274f5080450e24cf64f9cec1702d142e129fbf03dc7
+DIST avahi-0.7.tar.gz 940047 SHA256 
fd45480cef0559b3eab965ea3ad4fe2d7a8f27db32c851a032ee0b487c378329 SHA512 
61f656da7614d8cca1862180038f571db3474c84f05db4d3509f614cdbf8b1a1047661b7e24d63682d5b48ed1bfa1b08b3c9e6dbe9222bcd62d99bc168a11abe
 WHIRLPOOL 
bb6f2763309f8426bc65e81f41ac2205076d6f5f9e84f1bba6ed998595c5c2db126b30bf376286f5bd6e61605c3b219fbce9ee325585d2e463d3ef43bc6bcc1a

diff --git a/net-dns/avahi/avahi-0.7.ebuild b/net-dns/avahi/avahi-0.7.ebuild
new file mode 100644
index 00000000000..3c108e379a3
--- /dev/null
+++ b/net-dns/avahi/avahi-0.7.ebuild
@@ -0,0 +1,211 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="gdbm"
+
+WANT_AUTOMAKE=1.11
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal mono-env 
python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network"
+HOMEPAGE="http://avahi.org/";
+SRC_URI="https://github.com/lathiat/avahi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/${P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="autoipd bookmarks dbus doc gdbm gtk gtk3 howl-compat +introspection ipv6 
kernel_linux mdnsresponder-compat mono nls python qt4 selinux test"
+
+REQUIRED_USE="
+       python? ( dbus gdbm ${PYTHON_REQUIRED_USE} )
+       mono? ( dbus )
+       howl-compat? ( dbus )
+       mdnsresponder-compat? ( dbus )
+"
+
+COMMON_DEPEND="
+       dev-libs/libdaemon
+       dev-libs/expat
+       dev-libs/glib:2[${MULTILIB_USEDEP}]
+       gdbm? ( sys-libs/gdbm[${MULTILIB_USEDEP}] )
+       qt4? ( dev-qt/qtcore:4[${MULTILIB_USEDEP}] )
+       gtk? ( x11-libs/gtk+:2[${MULTILIB_USEDEP}] )
+       gtk3? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+       dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
+       kernel_linux? ( sys-libs/libcap )
+       introspection? ( dev-libs/gobject-introspection:= )
+       mono? (
+               dev-lang/mono
+               gtk? ( dev-dotnet/gtk-sharp )
+       )
+       python? (
+               ${PYTHON_DEPS}
+               dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+               introspection? ( dev-python/pygobject:3[${PYTHON_USEDEP}] )
+       )
+       bookmarks? (
+               ${PYTHON_DEPS}
+               >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+       )
+"
+
+DEPEND="
+       ${COMMON_DEPEND}
+       doc? ( app-doc/doxygen )
+       app-doc/xmltoman
+       dev-util/intltool
+       virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+RDEPEND="
+       ${COMMON_DEPEND}
+       howl-compat? ( !net-misc/howl )
+       mdnsresponder-compat? ( !net-misc/mDNSResponder )
+       selinux? ( sec-policy/selinux-avahi )
+"
+
+pkg_preinst() {
+       enewgroup netdev
+       enewgroup avahi
+       enewuser avahi -1 -1 -1 avahi
+
+       if use autoipd; then
+               enewgroup avahi-autoipd
+               enewuser avahi-autoipd -1 -1 -1 avahi-autoipd
+       fi
+}
+
+pkg_setup() {
+       use mono && mono-env_pkg_setup
+}
+
+src_prepare() {
+       if ! use ipv6; then
+               sed -i \
+                       -e s/use-ipv6=yes/use-ipv6=no/ \
+                       avahi-daemon/avahi-daemon.conf || die
+       fi
+
+       sed -i\
+               -e 
"s:\\.\\./\\.\\./\\.\\./doc/avahi-docs/html/:../../../doc/${PF}/html/:" \
+               doxygen_to_devhelp.xsl || die
+
+       eapply_user
+
+       # Prevent .pyc files in DESTDIR
+       >py-compile
+
+       eautoreconf
+
+       # bundled manpages
+       multilib_copy_sources
+}
+
+src_configure() {
+       # those steps should be done once-per-ebuild rather than per-ABI
+       use sh && replace-flags -O? -O0
+       use python && python_setup
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local myconf=( --disable-static )
+
+       if use python; then
+               myconf+=(
+                       $(multilib_native_use_enable dbus python-dbus)
+                       $(multilib_native_use_enable introspection pygobject)
+               )
+       fi
+
+       if use mono; then
+               myconf+=( $(multilib_native_use_enable doc monodoc) )
+       fi
+
+       if ! multilib_is_native_abi; then
+               myconf+=(
+                       # used by daemons only
+                       --disable-libdaemon
+                       --with-xml=none
+               )
+       fi
+
+       econf \
+               --localstatedir="${EPREFIX}/var" \
+               --with-distro=gentoo \
+               --disable-python-dbus \
+               --enable-manpages \
+               --enable-xmltoman \
+               --disable-monodoc \
+               --enable-glib \
+               --enable-gobject \
+               $(multilib_native_use_enable test tests) \
+               $(multilib_native_use_enable autoipd) \
+               $(use_enable mdnsresponder-compat compat-libdns_sd) \
+               $(use_enable howl-compat compat-howl) \
+               $(multilib_native_use_enable doc doxygen-doc) \
+               $(multilib_native_use_enable mono) \
+               $(use_enable dbus) \
+               $(multilib_native_use_enable python) \
+               $(use_enable gtk) \
+               $(use_enable gtk3) \
+               $(use_enable nls) \
+               $(multilib_native_use_enable introspection) \
+               --disable-qt3 \
+               $(use_enable qt4) \
+               $(use_enable gdbm) \
+               --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
+               "${myconf[@]}"
+}
+
+multilib_src_compile() {
+       emake
+
+       multilib_is_native_abi && use doc && emake avahi.devhelp
+}
+
+multilib_src_install() {
+       emake install DESTDIR="${D}"
+       use bookmarks && use python && use dbus && use gtk || \
+               rm -f "${ED}"/usr/bin/avahi-bookmarks
+
+       # https://github.com/lathiat/avahi/issues/28
+       use howl-compat && dosym avahi-compat-howl.pc 
/usr/$(get_libdir)/pkgconfig/howl.pc
+       use mdnsresponder-compat && dosym avahi-compat-libdns_sd/dns_sd.h 
/usr/include/dns_sd.h
+
+       if multilib_is_native_abi && use doc; then
+               dohtml -r doxygen/html/. || die
+               insinto /usr/share/devhelp/books/avahi
+               doins avahi.devhelp || die
+       fi
+}
+
+multilib_src_install_all() {
+       if use autoipd; then
+               insinto /$(get_libdir)/rcscripts/net
+               doins "${FILESDIR}"/autoipd.sh
+
+               insinto /$(get_libdir)/netifrc/net
+               newins "${FILESDIR}"/autoipd-openrc.sh autoipd.sh
+       fi
+
+       dodoc docs/{AUTHORS,NEWS,README,TODO}
+
+       prune_libtool_files --all
+}
+
+pkg_postinst() {
+       if use autoipd; then
+               elog
+               elog "To use avahi-autoipd to configure your interfaces with 
IPv4LL (RFC3927)"
+               elog "addresses, just set config_<interface>=( autoipd ) in 
/etc/conf.d/net!"
+               elog
+       fi
+}

Reply via email to